form:
  properties:
    headlineLevel:
      $type: comboBoxField
      defaultValue: small
      datasource:
        $type: optionListDatasource
        options:
          - name: big
            value: big
          - name: medium
            value: medium
          - name: small
            value: small
    headline:
      $type: textField
      i18n: true
    text:
      class: info.magnolia.dam.app.field.DamRichTextFieldDefinition
      i18n: true
    image:
      $type: damLinkField
    media:
      $type: jcrMultiField
      itemProvider:
        $type: jcrChildNodeProvider
        supportI18N: false
      entryResolution:
        class: info.magnolia.ui.editor.MultiFieldEntryResolution$Definition
        propertyNameDecorator: info.magnolia.ui.field.AlwaysEmptyPrefixNameDecorator
        strict: true
      name: media
      label: product.form.media.assets.label
      i18n: true
      field:
        $type: compositeField
        label: product.form.media.video.label
        itemProvider:
          $type: jcrChildNodeProvider
        properties:
          image:
            i18n: true
            $type: damLinkField
    imagePosition:
      $type: comboBoxField
      defaultValue: below
      datasource:
        $type: optionListDatasource
        options:
          - name: above
            value: above
          - name: below
            value: below
    imageAltText:
      $type: textField
      i18n: true
    imageTitle:
      $type: textField
      i18n: true
    imageCaption:
      $type: textField
      i18n: true
    imageCredit:
      $type: textField
      i18n: true
  layout:
    $type: tabbedLayout
    tabs:
      - name: tabText
        fields:
          - name: headlineLevel
          - name: headline
          - name: text
      - name: tabImage
        fields:
          - name: image
          - name: imagePosition
          - name: imageAltText
          - name: imageTitle
          - name: imageCaption
          - name: imageCredit
      - name: tabMedia
        fields:
          - name: media
